Bug 203673 - Xvnc: SProcShmCreatePixmap() fails to byte-swap 'pid'
Xvnc: SProcShmCreatePixmap() fails to byte-swap 'pid'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vnc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 19:03 EDT by Neil Campbell
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0685
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (3.76 KB, text/plain)
2007-07-04 05:46 EDT, Adam Tkac
no flags Details
I've attached wrong file, correct patch (582 bytes, patch)
2007-07-04 05:52 EDT, Adam Tkac
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4730 None None None Never

  None (edit)
Description Neil Campbell 2006-08-22 19:03:19 EDT
Description of problem:
A bug in the main Xorg source prevents clients properly working with the server
 in some cases when shm is used, if the client and server are running in
different endianness.  The bug is fixed in the latest Xorg source, but the
vnc-server also needs to be updated.

Version-Release number of selected component (if applicable):
vnc-server-4.0-8.1

How reproducible:
Always, when using a suitable client on a server with the vncserver running in a
different endianness.

Actual results:

A complaint from X that the id is incorrect, something like this:

The program 'gimp' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this
connection)'.
  (Details: serial 137 error_code 14 request_code 129 minor_code 5)

Expected results:

Should work as normal, as the rest of the code supports clients whose endianness
doesn't match the server.

Additional info:

The patch has already been accepted into the main X server tree.  I can't find a
source package for the vnc server so I couldn't create a new patch against that.
Comment 1 Adam Tkac 2006-10-20 07:30:52 EDT
could you try to reproduce this bug with latest version of vnc, please??
Comment 2 Neil Campbell 2006-10-20 09:19:44 EDT
I was using vnc-4.0.8.1, is there a later version I can try?  I had looked
briefly at RealVNC, which I think is what you use, but it looked as though this
doesn't include the X server itself, and the bug exists in the X server code
that vnc is built against.  I do know that the patch has been included in the
cvs for tight-vnc.
Comment 3 Adam Tkac 2006-11-07 04:48:45 EST
I've checked + imported your patch
https://bugs.freedesktop.org/show_bug.cgi?id=4730.

Fix can be avaliable in next release of vnc (4.0.9)
Comment 5 Neil Campbell 2007-03-06 15:05:28 EST
Did this make it into RHEL4.5 beta?  This seems to include 4.0.11, but I can't
see the fix in there.
Comment 6 Adam Tkac 2007-03-07 01:15:11 EST
(In reply to comment #5)

Patch will be in 4.6 . It was too late to include it in 4.5

Regards, Adam
Comment 9 Adam Tkac 2007-07-04 05:46:16 EDT
Created attachment 158510 [details]
Proposed patch
Comment 10 Neil Campbell 2007-07-04 05:52:18 EDT
The attached patch (158510) doesn't appear to relate to this bug...
Comment 11 Adam Tkac 2007-07-04 05:52:31 EDT
Created attachment 158512 [details]
I've attached wrong file, correct patch
Comment 12 Adam Tkac 2007-07-04 06:06:17 EDT
(In reply to comment #10)
> The attached patch (158510) doesn't appear to relate to this bug...

Yeah, my mistake.

Adam
Comment 14 RHEL Product and Program Management 2007-11-28 23:25:01 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 errata-xmlrpc 2008-07-24 15:35:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0685.html

Note You need to log in before you can comment on or make changes to this bug.